# WARNING: This package is synced with FC
%global apiversion	0.1
%global major	1
%global libname	%mklibname visio %{apiversion} %{major}
%global devname	%mklibname visio -d

Name:		libvisio
Version:	0.1.7
Release:	%mkrel 10
Summary:	A library for import of Microsoft Visio diagrams
Group:		System/Libraries
License:	MPLv2.0
URL:		https://wiki.documentfoundation.org/DLP/Libraries/libvisio
Source0:	https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	help2man
BuildRequires:	perl
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(librevenge-generators-0.0)
BuildRequires:	pkgconfig(librevenge-stream-0.0)
BuildRequires:	pkgconfig(libxml-2.0)

%description
%{name} is library providing ability to interpret and import
Microsoft Visio diagrams into various applications. You can find it
being used in Libreoffice.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for import of Microsoft Visio diagrams
Group:		System/Libraries

%description -n %{libname}
%{name} is library providing ability to interpret and import
Microsoft Visio diagrams into various applications. You can find it
being used in LibreOffice.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group:   Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Microsoft Visio diagrams into other formats
Group:   Publishing

%description tools
Tools to transform Microsoft Visio diagrams into other formats.
Currently supported: XHTML, raw, plain text.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static --disable-silent-rules
%make_build


%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# rhbz#1001240 we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in vsd2raw vss2text vsd2xhtml vss2raw vsd2text vss2xhtml; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 vsd2*.1 vss2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make check %{?_smp_mflags}

%files -n %{libname}
%doc AUTHORS README NEWS
%license COPYING.*
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %{devname}
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.*
%doc docs/doxygen/html

%files tools
%{_bindir}/vsd2raw
%{_bindir}/vsd2text
%{_bindir}/vsd2xhtml
%{_bindir}/vss2raw
%{_bindir}/vss2text
%{_bindir}/vss2xhtml
%{_mandir}/man1/vsd2raw.1*
%{_mandir}/man1/vsd2text.1*
%{_mandir}/man1/vsd2xhtml.1*
%{_mandir}/man1/vss2raw.1*
%{_mandir}/man1/vss2text.1*
%{_mandir}/man1/vss2xhtml.1*



%changelog
* Sat Jan 07 2023 squidf <squidf> 0.1.7-10.mga9
+ Revision: 1931143
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 0.1.7-9.mga9
+ Revision: 1864873
- rebuild for icu 71.1

* Sat Mar 19 2022 umeabot <umeabot> 0.1.7-8.mga9
+ Revision: 1799853
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.1.7-7.mga9
+ Revision: 1738944
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.1.7-6.mga8
+ Revision: 1650900
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.1.7-5.mga8
+ Revision: 1601041
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.1.7-4.mga8
+ Revision: 1564477
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 0.1.7-3.mga8
+ Revision: 1534614
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 0.1.7-2.mga8
+ Revision: 1449453
- rebuild for new icu 65.1

* Mon Aug 26 2019 tv <tv> 0.1.7-1.mga8
+ Revision: 1432316
- new release

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.1.6-5.mga7
+ Revision: 1346103
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 0.1.6-4.mga7
+ Revision: 1299215
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 0.1.6-3.mga7
+ Revision: 1252951
- rebuild for new libicu

* Sat Jun 23 2018 wally <wally> 0.1.6-2.mga7
+ Revision: 1239257
- fix build on aarch64
- drop unneeded rpath hack
+ tv <tv>
- adjust BRs

* Wed Feb 07 2018 tv <tv> 0.1.6-1.mga7
+ Revision: 1199472
- generate and install man pages
- update summary + URL
- drop merged patch
- new release

* Fri Dec 29 2017 wally <wally> 0.1.5-5.mga7
+ Revision: 1186989
- rebuild for new icu

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 0.1.5-4.mga6
+ Revision: 1093094
- Rebuild for icu-58.2

* Sun Feb 26 2017 tv <tv> 0.1.5-3.mga6
+ Revision: 1087982
- fix char background color in some cases
- fix handling of bitmaps in Windows Bitmap format that contain a color
  palette

* Sat May 14 2016 shlomif <shlomif> 0.1.5-2.mga6
+ Revision: 1015268
- Rebuild for the new UCI (new major)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.1.5-1.mga6
+ Revision: 917790
- 0.1.5

* Fri Dec 25 2015 tv <tv> 0.1.3-4.mga6
+ Revision: 914726
- rebuild for new boost 1.60

* Mon Sep 28 2015 daviddavid <daviddavid> 0.1.3-3.mga6
+ Revision: 884381
- fix build with boost 1.59.0 (from Fedora)
- rebuild for new boost 1.59.0

* Wed Aug 26 2015 tv <tv> 0.1.3-2.mga6
+ Revision: 869861
- rebuild with gcc5

* Thu Aug 13 2015 fwang <fwang> 0.1.3-1.mga6
+ Revision: 864245
- 0.1.3

* Fri Jul 24 2015 cjw <cjw> 0.1.1-4.mga6
+ Revision: 856851
- rebuild for icu 55

* Thu Feb 05 2015 tv <tv> 0.1.1-3.mga5
+ Revision: 813582
- drop bogus obsolete tags

* Sun Feb 01 2015 tv <tv> 0.1.1-2.mga5
+ Revision: 812977
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.1.1-1.mga5
+ Revision: 812835
- BR pkgconfig(cppunit)
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 739344
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 681844
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.0-2.mga5
+ Revision: 658594
- bump major
- new release

* Sat Apr 05 2014 wally <wally> 0.0.31-4.mga5
+ Revision: 611841
- fix lib and devel pkg names
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 0.0.31-3.mga4
+ Revision: 537308
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 0.0.31-2.mga4
+ Revision: 486768
- rebuild for icu 52

* Thu Aug 29 2013 luigiwalser <luigiwalser> 0.0.31-1.mga4
+ Revision: 473089
- 0.0.31

* Sat Jul 13 2013 luigiwalser <luigiwalser> 0.0.30-1.mga4
+ Revision: 453924
- 0.0.30

* Mon Jul 08 2013 fwang <fwang> 0.0.29-2.mga4
+ Revision: 451180
- rebuild for new boost

* Thu Jul 04 2013 luigiwalser <luigiwalser> 0.0.29-1.mga4
+ Revision: 450021
- 0.0.29

* Sat Jun 08 2013 fwang <fwang> 0.0.28-1.mga4
+ Revision: 440404
- new version 0.0.28

* Sun May 26 2013 fwang <fwang> 0.0.27-2.mga4
+ Revision: 427973
- rebuild for new icu

* Thu May 23 2013 fwang <fwang> 0.0.27-1.mga4
+ Revision: 425495
- new version 0.0.27

* Sat Jan 12 2013 umeabot <umeabot> 0.0.24-2.mga3
+ Revision: 358358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.0.24-1.mga3
+ Revision: 338449
- fix for automake 1.13
- 0.0.24

* Thu Nov 08 2012 fwang <fwang> 0.0.20-1.mga3
+ Revision: 316316
- update file list
- use autogen
- fix linkage
- br libxml
- br gperf
- new version 0.0.20

* Tue Oct 16 2012 malo <malo> 0.0.19-2.mga3
+ Revision: 307333
- update RPM group

* Sun Sep 02 2012 fwang <fwang> 0.0.19-1.mga3
+ Revision: 287250
- update file list
- new version 0.0.19

* Fri Jun 01 2012 fwang <fwang> 0.0.17-1.mga3
+ Revision: 252683
- new version 0.0.17

* Mon Mar 05 2012 fwang <fwang> 0.0.15-1.mga2
+ Revision: 218361
- new version 0.0.15
+ dmorgan <dmorgan>
- imported package libvisio


* Wed Jan 25 2012 David Tardon <dtardon@redhat.com> 0.0.14-1
- bump version

* Wed Dec 21 2011 David Tardon <dtardon@redhat.com> 0.0.11-1
- initial import
